Bug 5864 - NV vertex program parser doesn't set program->NumInstructions
Summary: NV vertex program parser doesn't set program->NumInstructions
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: mesa-dev
QA Contact:
URL:
Whiteboard:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2006-02-12 02:41 UTC by Tilman Sauerbeck
Modified: 2009-08-24 12:23 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Patch (763 bytes, patch)
2006-02-12 02:42 UTC, Tilman Sauerbeck
Details | Splinter Review
Patch 2 (1.48 KB, patch)
2006-02-12 12:50 UTC, Tilman Sauerbeck
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tilman Sauerbeck 2006-02-12 02:41:33 UTC
_mesa_parse_nv_vertex_program() doesn't set program->Base.NumInstructions, which
causes various errors. For (a bad) example, _mesa_print_program() relies on that
number.
Comment 1 Tilman Sauerbeck 2006-02-12 02:42:13 UTC
Created attachment 4597 [details] [review]
Patch
Comment 2 Tilman Sauerbeck 2006-02-12 12:50:42 UTC
Created attachment 4600 [details] [review]
Patch 2

The same bug is present in nvfragparse.c as well. This new patch fixes the
problem in both places.
Comment 3 Tilman Sauerbeck 2006-02-15 09:58:07 UTC
Any comments? :)
Comment 4 Brian Paul 2006-02-16 03:03:12 UTC
Fixed in CVS.  Thanks.
Comment 5 Adam Jackson 2009-08-24 12:23:42 UTC
Mass version move, cvs -> git


bug/show.html.tmpl processed on Mar 27, 2017 at 04:39:31.
(provided by the Example extension).